



<!DOCTYPE html>
<html lang="en">
  
  <head>
    
      <meta charset="utf-8">
      <title>Bokeh Plot</title>
      
      
        
          
        
        
          
        <script type="text/javascript" src="https://cdn.bokeh.org/bokeh/release/bokeh-2.4.2.min.js"></script>
        <script type="text/javascript">
            Bokeh.set_log_level("info");
        </script>
        
      
      
    
  </head>
  
  
  <body>
    
      
        
          
          
            
              <div class="bk-root" id="eda3a0df-7a67-4180-b82e-f9e0078ef1bc" data-root-id="1002"></div>
            
          
        
      
      
        <script type="application/json" id="1181">
          {"7c3da827-118f-4d5e-8433-8405ad0633fe":{"defs":[],"roots":{"references":[{"attributes":{"coordinates":null,"formatter":{"id":"1041"},"group":null,"major_label_policy":{"id":"1042"},"ticker":{"id":"1015"}},"id":"1014","type":"LinearAxis"},{"attributes":{},"id":"1045","type":"AllLabels"},{"attributes":{"data":{"top":[5,3,4,2,4,6],"x":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]},"selected":{"id":"1047"},"selection_policy":{"id":"1046"}},"id":"1032","type":"ColumnDataSource"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"top":{"field":"top"},"x":{"field":"x"}},"id":"1033","type":"VBar"},{"attributes":{},"id":"1015","type":"BasicTicker"},{"attributes":{"coordinates":null,"group":null},"id":"1038","type":"Title"},{"attributes":{},"id":"1021","type":"SaveTool"},{"attributes":{"below":[{"id":"1011"}],"center":[{"id":"1013"},{"id":"1017"}],"left":[{"id":"1014"}],"renderers":[{"id":"1036"}],"title":{"id":"1038"},"toolbar":{"id":"1025"},"x_range":{"id":"1003"},"x_scale":{"id":"1007"},"y_range":{"id":"1005"},"y_scale":{"id":"1009"}},"id":"1002","subtype":"Figure","type":"Plot"},{"attributes":{"source":{"id":"1032"}},"id":"1037","type":"CDSView"},{"attributes":{"fill_alpha":{"value":0.2},"fill_color":{"value":"#1f77b4"},"hatch_alpha":{"value":0.2},"line_alpha":{"value":0.2},"line_color":{"value":"#1f77b4"},"top":{"field":"top"},"x":{"field":"x"}},"id":"1035","type":"VBar"},{"attributes":{"tools":[{"id":"1018"},{"id":"1019"},{"id":"1020"},{"id":"1021"},{"id":"1022"},{"id":"1023"}]},"id":"1025","type":"Toolbar"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"hatch_alpha":{"value":0.1},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"top"},"x":{"field":"x"}},"id":"1034","type":"VBar"},{"attributes":{},"id":"1042","type":"AllLabels"},{"attributes":{"factors":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]},"id":"1003","type":"FactorRange"},{"attributes":{},"id":"1041","type":"BasicTickFormatter"},{"attributes":{"axis":{"id":"1014"},"coordinates":null,"dimension":1,"group":null,"ticker":null},"id":"1017","type":"Grid"},{"attributes":{},"id":"1005","type":"DataRange1d"},{"attributes":{"bottom_units":"screen","coordinates":null,"fill_alpha":0.5,"fill_color":"lightgrey","group":null,"left_units":"screen","level":"overlay","line_alpha":1.0,"line_color":"black","line_dash":[4,4],"line_width":2,"right_units":"screen","syncable":false,"top_units":"screen"},"id":"1024","type":"BoxAnnotation"},{"attributes":{},"id":"1019","type":"WheelZoomTool"},{"attributes":{},"id":"1022","type":"ResetTool"},{"attributes":{},"id":"1007","type":"CategoricalScale"},{"attributes":{"coordinates":null,"data_source":{"id":"1032"},"glyph":{"id":"1033"},"group":null,"hover_glyph":null,"muted_glyph":{"id":"1035"},"nonselection_glyph":{"id":"1034"},"view":{"id":"1037"}},"id":"1036","type":"GlyphRenderer"},{"attributes":{"coordinates":null,"formatter":{"id":"1044"},"group":null,"major_label_policy":{"id":"1045"},"ticker":{"id":"1012"}},"id":"1011","type":"CategoricalAxis"},{"attributes":{},"id":"1023","type":"HelpTool"},{"attributes":{},"id":"1012","type":"CategoricalTicker"},{"attributes":{},"id":"1046","type":"UnionRenderers"},{"attributes":{"overlay":{"id":"1024"}},"id":"1020","type":"BoxZoomTool"},{"attributes":{},"id":"1047","type":"Selection"},{"attributes":{"axis":{"id":"1011"},"coordinates":null,"group":null,"ticker":null},"id":"1013","type":"Grid"},{"attributes":{},"id":"1018","type":"PanTool"},{"attributes":{},"id":"1009","type":"LinearScale"},{"attributes":{},"id":"1044","type":"CategoricalTickFormatter"}],"root_ids":["1002"]},"title":"Bokeh Application","version":"2.4.2"}}
        </script>
        <script type="text/javascript">
          (function() {
            const fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    
                  const docs_json = document.getElementById('1181').textContent;
                  const render_items = [{"docid":"7c3da827-118f-4d5e-8433-8405ad0633fe","root_ids":["1002"],"roots":{"1002":"eda3a0df-7a67-4180-b82e-f9e0078ef1bc"}}];
                  root.Bokeh.embed.embed_items(docs_json, render_items);
                
                  }
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    let attempts = 0;
                    const timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        clearInterval(timer);
                        embed_document(root);
                      } else {
                        attempts++;
                        if (attempts > 100) {
                          clearInterval(timer);
                          console.log("Bokeh: ERROR: Unable to run BokehJS code because BokehJS library is missing");
                        }
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        </script>
    
  </body>
  
</html>